$(document).ready(function () {
  $("#cod_resultado").load("../ajax/incrementa_cod_prod.php");
  load(1);
});

function load(page) {
  var q = $("#q").val();
  var categoria = $("#categoria").val();
  var id_sucursal = $("#id_sucursal").val();
  $("#loader").fadeIn("slow");
  $.ajax({
    url:
      "../ajax/buscar_productos.php?action=ajax&page=" +
      page +
      "&q=" +
      q +
      "&categoria=" +
      categoria +
      "&id_sucursal=" +
      id_sucursal,
    beforeSend: function (objeto) {
      $("#loader").html('<img src="../../img/ajax-loader.gif"> Cargando...');
    },
    success: function (data) {
      $(".outer_div").html(data).fadeIn("slow");
      $("#loader").html("");
    },
  });
}
$("#guardar_producto").submit(function (event) {
  $("#guardar_datos").attr("disabled", true);
  var parametros = $(this).serialize();
  $.ajax({
    type: "POST",
    url: "../ajax/nuevo_producto.php",
    data: parametros,
    beforeSend: function (objeto) {
      $("#resultados_ajax").html(
        '<img src="../../img/ajax-loader.gif"> Cargando...'
      );
    },
    success: function (datos) {
      $("#resultados_ajax").html(datos);
      $("#guardar_datos").attr("disabled", false);
      $("#cod_resultado").load("../ajax/incrementa_cod_prod.php");
      load(1);
      //resetea el formulario
      $("#guardar_producto")[0].reset();
      //desaparecer la alerta
      window.setTimeout(function () {
        $(".alert")
          .fadeTo(500, 0)
          .slideUp(500, function () {
            $(this).remove();
          });
      }, 5000);
    },
  });
  event.preventDefault();
});
//DUPLICION DE PRODUCTOS
$("#duplicar_producto").submit(function (event) {
  $("#duplicar_datos").attr("disabled", true);
  var parametros = $(this).serialize();
  $.ajax({
    type: "POST",
    url: "../ajax/duplicar_producto.php",
    data: parametros,
    beforeSend: function (objeto) {
      $("#resultados_ajax3").html(
        '<img src="../../img/ajax-loader.gif"> Cargando...'
      );
    },
    success: function (datos) {
      $("#resultados_ajax3").html(datos);
      $("#duplicar_datos").attr("disabled", false);
      load(1);
      //desaparecer la alerta
      window.setTimeout(function () {
        $(".alert")
          .fadeTo(500, 0)
          .slideUp(500, function () {
            $(this).remove();
          });
      }, 5000);
    },
  });
  event.preventDefault();
});
//END
$("#editar_producto").submit(function (event) {
  $("#actualizar_datos").attr("disabled", true);
  var parametros = $(this).serialize();
  $.ajax({
    type: "POST",
    url: "../ajax/editar_producto.php",
    data: parametros,
    beforeSend: function (objeto) {
      $("#resultados_ajax2").html(
        '<img src="../../img/ajax-loader.gif"> Cargando...'
      );
    },
    success: function (datos) {
      $("#resultados_ajax2").html(datos);
      $("#actualizar_datos").attr("disabled", false);
      load(1);
      //desaparecer la alerta
      window.setTimeout(function () {
        $(".alert")
          .fadeTo(500, 0)
          .slideUp(500, function () {
            $(this).remove();
          });
      }, 5000);
    },
  });
  event.preventDefault();
});
$("#dataDelete").on("show.bs.modal", function (event) {
  var button = $(event.relatedTarget); // Botón que activó el modal
  var id = button.data("id"); // Extraer la información de atributos de datos
  var modal = $(this);
  modal.find("#id_producto").val(id);
});
$("#eliminarDatos").submit(function (event) {
  var parametros = $(this).serialize();
  $.ajax({
    type: "POST",
    url: "../ajax/eliminar_producto.php",
    data: parametros,
    beforeSend: function (objeto) {
      $(".datos_ajax_delete").html(
        '<img src="../../img/ajax-loader.gif"> Cargando...'
      );
    },
    success: function (datos) {
      $(".datos_ajax_delete").html(datos);
      $("#dataDelete").modal("hide");
      load(1);
      //desaparecer la alerta
      window.setTimeout(function () {
        $(".alert")
          .fadeTo(200, 0)
          .slideUp(200, function () {
            $(this).remove();
          });
      }, 2000);
    },
  });
  event.preventDefault();
});

function obtener_datos(id) {
  var codigo_producto = $("#codigo_producto" + id).val();
  var cod_oem = $("#cod_oem" + id).val();
  var cod_remplazo = $("#cod_remplazo" + id).val();
  var nombre_producto = $("#nombre_producto" + id).val();
  var descripcion_producto = $("#descripcion_producto" + id).val();
  var linea_producto = $("#linea_producto" + id).val();
  var linea2_producto = $("#linea2_producto" + id).val();
  var proveedor_producto = $("#proveedor_producto" + id).val();
  var inv_producto = $("#inv_producto" + id).val();
  var impuesto_producto = $("#impuesto_producto" + id).val();
  var costo_producto = $("#costo_producto" + id).val();
  var utilidad_producto = $("#utilidad_producto" + id).val();
  var precio_producto = $("#precio_producto" + id).val();
  var precio_mayoreo = $("#precio_mayoreo" + id).val();
  var precio_especial = $("#precio_especial" + id).val();
  var precio_proyecto = $("#precio_proyecto" + id).val();
  var stock_producto = $("#stock_producto" + id).val();
  var stock_min_producto = $("#stock_min_producto" + id).val();
  var sucursal = $("#sucursal" + id).val();
  var ubicacion_producto = $("#ubicacion_producto" + id).val();
  var estado = $("#estado" + id).val();
  var id_proveedor = $("#id_proveedor" + id).val();
  $("#mod_id").val(id);
  $("#mod_codigo").val(codigo_producto);
  $("#mod_oem").val(cod_oem);
  $("#mod_remplazo").val(cod_remplazo);
  $("#mod_nombre").val(nombre_producto);
  $("#mod_descripcion").val(descripcion_producto);
  $("#mod_linea").val(linea_producto);
  $("#mod_linea2").val(linea2_producto);
  $("#mod_proveedor").val(proveedor_producto);
  $("#mod_inv").val(inv_producto);
  $("#mod_impuesto").val(impuesto_producto);
  $("#mod_costo").val(costo_producto);
  $("#mod_utilidad").val(utilidad_producto);
  $("#mod_precio").val(precio_producto);
  $("#mod_preciom").val(precio_mayoreo);
  $("#mod_precioe").val(precio_especial);
  $("#mod_preciop").val(precio_proyecto);
  $("#mod_stock").val(stock_producto);
  $("#mod_minimo").val(stock_min_producto);
  $("#mod_sucursal").val(sucursal);
  $("#mod_ubicacion").val(ubicacion_producto);
  $("#mod_estado").val(estado);
}
function obtener_datos2(id) {
  var codigo_producto = $("#codigo_producto" + id).val();
  var cod_oem = $("#cod_oem" + id).val();
  var cod_remplazo = $("#cod_remplazo" + id).val();
  var nombre_producto = $("#nombre_producto" + id).val();
  var descripcion_producto = $("#descripcion_producto" + id).val();
  var linea_producto = $("#linea_producto" + id).val();
  var linea2_producto = $("#linea2_producto" + id).val();
  var proveedor_producto = $("#proveedor_producto" + id).val();
  var inv_producto = $("#inv_producto" + id).val();
  var impuesto_producto = $("#impuesto_producto" + id).val();
  var costo_producto = $("#costo_producto" + id).val();
  var utilidad_producto = $("#utilidad_producto" + id).val();
  var precio_producto = $("#precio_producto" + id).val();
  var precio_mayoreo = $("#precio_mayoreo" + id).val();
  var precio_especial = $("#precio_especial" + id).val();
  var precio_proyecto = $("#precio_proyecto" + id).val();
  //var stock_producto = $("#stock_producto" + id).val();
  //var stock_min_producto = $("#stock_min_producto" + id).val();
  //var sucursal = $("#sucursal" + id).val();
  //var ubicacion_producto = $("#ubicacion_producto" + id).val();
  var estado = $("#estado" + id).val();
  var image_path = $("#image_path " + id).val();
  $("#mod_id2").val(id);
  $("#mod_codigo2").val(codigo_producto);
  $("#mod_oem2").val(cod_oem);
  $("#mod_remplazo2").val(cod_remplazo);
  $("#mod_nombre2").val(nombre_producto);
  $("#mod_descripcion2").val(descripcion_producto);
  $("#mod_linea2").val(linea_producto);
  $("#mod_linea3").val(linea2_producto);
  $("#mod_proveedor2").val(proveedor_producto);
  $("#mod_inv2").val(inv_producto);
  $("#mod_impuesto2").val(impuesto_producto);
  $("#mod_costo2").val(costo_producto);
  $("#mod_utilidad2").val(utilidad_producto);
  $("#mod_precio2").val(precio_producto);
  $("#mod_preciom2").val(precio_mayoreo);
  $("#mod_precioe2").val(precio_especial);
  $("#mod_preciop2").val(precio_proyecto);
  //$("#mod_stock2").val(stock_producto);
  //$("#mod_minimo2").val(stock_min_producto);
  //$("#mod_sucursal2").val(sucursal);
  //$("#mod_ubicacion2").val(ubicacion_producto);
  $("#mod_image").val(image_path);
  $("#mod_estado2").val(estado);
}
